Index: /code/branches/pickup3/src/orxonox/pickup/ModifierPickup.cc
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/ModifierPickup.cc	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/ModifierPickup.cc	(revision 6419)
@@ -43,6 +43,8 @@
 
     /**
-        @brief Constructor. Registers the ModifierPickup.
-        @param creator Pointer to the object which created this item.
+    @brief
+        Constructor. Registers the ModifierPickup.
+    @param creator
+        Pointer to the object which created this item.
     */
     ModifierPickup::ModifierPickup(BaseObject* creator) : PassiveItem(creator)
@@ -52,13 +54,23 @@
         this->duration_ = 0.0f;
     }
-    //! Deconstructor.
+
+    /**
+    @brief
+        Destructor.
+    */
     ModifierPickup::~ModifierPickup()
     {
-    }
-    /**
-        @brief Method for loading information from a level file.
-        @param element XMLElement from which to read the data.
-        @param mode XMLPort mode to use.
-    */
+        
+    }
+
+    /**
+    @brief
+        Method for loading information from a level file.
+    @param element
+        XMLElement from which to read the data.
+    @param mode
+        XMLPort mode to use.
+    */
+    //TODO: Comments: params can probably be ommitted. 
     void ModifierPickup::XMLPort(Element& element, XMLPort::Mode mode)
     {
@@ -73,13 +85,16 @@
         XMLPortParamTemplate(ModifierPickup, "accelerationMulti", setMultiplicativeAcceleration, getMultiplicativeAcceleration, element, mode, float);
     }
-    /**
-        @brief
-            Invoked when a pawn picks up the pickup.
-
-            Adds the modifiers to the pawn and sets a timer (if effect is limited)
-            if the pickup could be added to the pawn's PickupCollection.
-
-        @param pawn Pawn which picked up the pickup.
-        @return Returns whether the pickup was able to be added to the pawn.
+
+    /**
+    @brief
+        Invoked when a pawn picks up the pickup.
+
+        Adds the modifiers to the pawn and sets a timer (if effect is limited)
+        if the pickup could be added to the pawn's PickupCollection.
+
+    @param pawn
+        Pawn which picked up the pickup.
+    @return
+        Returns whether the pickup was able to be added to the pawn.
     */
     bool ModifierPickup::pickedUp(Pawn* pawn)
@@ -110,13 +125,16 @@
         return false;
     }
-    /**
-        @brief
-            Invoked when a pawn drops the pickup.
-
-            Removes the modifiers from the pawn if the pickup
-            was successfully removed from it's PickupCollection.
-
-        @param pawn Pawn which dropped the pickup.
-        @return Returns whether the pickup could be removed.
+
+    /**
+    @brief
+        Invoked when a pawn drops the pickup.
+
+        Removes the modifiers from the pawn if the pickup
+        was successfully removed from it's PickupCollection.
+
+    @param pawn
+        Pawn which dropped the pickup.
+    @return 
+        Returns whether the pickup could be removed.
     */
     bool ModifierPickup::dropped(Pawn* pawn)
@@ -145,7 +163,9 @@
         return false;
     }
-    /**
-        @brief Invoked when the timer finished, calls dropped().
-    */
+
+    /**
+    @brief Invoked when the timer finished, calls dropped().
+    */
+    //TODO: Other name for function?
     void ModifierPickup::timerCallback(Pawn* pawn)
     {
@@ -153,8 +173,12 @@
             COUT(2) << "Failed to remove modifier pickup after the timer ran out!" << std::endl;
     }
-    /**
-        @brief Gets the additive modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @return Returns the additive modifier for type (or 0 if not exists).
+
+    /**
+    @brief
+        Gets the additive modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @return
+        Returns the additive modifier for type (or 0 if not exists).
     */
     float ModifierPickup::getAdditiveModifier(ModifierType::Value type) const
@@ -166,8 +190,12 @@
             return 0.0f;
     }
-    /**
-        @brief Gets the multiplicative modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @return Returns the multiplicative modifier for type (or 1 if not exists).
+
+    /**
+    @brief
+        Gets the multiplicative modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @return
+        Returns the multiplicative modifier for type (or 1 if not exists).
     */
     float ModifierPickup::getMultiplicativeModifier(ModifierType::Value type) const
@@ -179,8 +207,12 @@
             return 1.0f;
     }
-    /**
-        @brief Gets the additive modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @param value The new additive modifier for type.
+
+    /**
+    @brief
+        Gets the additive modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @param value
+        The new additive modifier for type.
     */
     void ModifierPickup::setAdditiveModifier(ModifierType::Value type, float value)
@@ -191,8 +223,12 @@
             this->additiveModifiers_[type] = value;
     }
-    /**
-        @brief Gets the multiplicative modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @param value The new multiplicative modifier for type.
+
+    /**
+    @brief
+        Gets the multiplicative modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @param value
+        The new multiplicative modifier for type.
     */
     void ModifierPickup::setMultiplicativeModifier(ModifierType::Value type, float value)
@@ -203,3 +239,4 @@
             this->multiplicativeModifiers_[type] = value;
     }
+
 }
Index: /code/branches/pickup3/src/orxonox/pickup/ModifierPickup.h
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/ModifierPickup.h	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/ModifierPickup.h	(revision 6419)
@@ -47,98 +47,111 @@
 {
     /**
-        @brief Class for a (temporary) modifier effect.
-        @author Daniel 'Huty' Haggenmueller
+    @brief Class for a (temporary) modifier effect.
+    @author Daniel 'Huty' Haggenmueller
     */
+    //TODO: More elaborate comments.
     class _OrxonoxExport ModifierPickup : public PassiveItem
     {
-    public:
-        ModifierPickup(BaseObject* creator);
-        virtual ~ModifierPickup();
+        //TODO: What does being derived from PassiveItem add exactly? Probably better to kill PassiveItem and just derive from BaseItem.
+        //Include ModifierType here, no additional header file needed for that, imo.
+        public:
+            ModifierPickup(BaseObject* creator);
+            virtual ~ModifierPickup();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< To create a ModifierPickup through the level file.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< To create a ModifierPickup through the level file.
 
-        virtual bool pickedUp(Pawn* pawn);                              //!< Override of the BaseItem::pickedUp() method.
-        virtual bool dropped(Pawn* pawn);                               //!< Override of the BaseItem::dropped() method
+            virtual bool pickedUp(Pawn* pawn); //!< Override of the BaseItem::pickedUp() method.
+            virtual bool dropped(Pawn* pawn); //!< Override of the BaseItem::dropped() method
 
-        virtual int getMaxCarryAmount(){ return INT_MAX; }              //!< Allow the player to carry infinite ModPickups
+            //TODO: Where does this INT_MAX come from? Comment.
+            virtual int getMaxCarryAmount() //!< Allow the player to carry infinite ModPickups
+                { return INT_MAX; }
 
-        /**
+            /**
             @brief Get the duration of this pickup.
             @return Returns how long the effect holds on.
-        */
-        inline float getDuration() const
-            { return this->duration_; }
-        /**
+            */
+            inline float getDuration() const
+                { return this->duration_; }
+            /**
             @brief Set the duration of this pickup.
             @param duration How long the effect should hold.
-        */
-        inline void setDuration(float duration)
-            { this->duration_ = duration; }
+            */
+            //TODO: Better be private?
+            inline void setDuration(float duration)
+                { this->duration_ = duration; }
 
-        /**
+            //TODO: Shouldn't these all be seperate pickup items? But, then, would this class really be needed? What does it actually add?
+            //Duration! Thus create two virtual functions addEffect() and removeEffect().
+            //Export the ideas here into seperate, individual subclasses.
+            //Shouldn't this, as an item be in the items folder? or is it, as merely the equivalent of an abstract class not specific enough?
+            //Specify what ModifierItem should do exactly. If the limited duration is the core functionality, another name would probably more fitting.
+            //Perhaps, limited effect duration could also just be another feature of BaseItem...
+            /**
             @brief Get the amount of damage this pickup adds.
             @return Returns how much damage this pickup adds.
-        */
-        inline float getAdditiveDamage() const
-            { return this->getAdditiveModifier(ModifierType::Damage); }
-        /**
+            */
+            inline float getAdditiveDamage() const
+                { return this->getAdditiveModifier(ModifierType::Damage); }
+            /**
             @brief Get the factor by which this pickup multiplies the damage.
             @return Returns the factor by which to multiply damage.
-        */
-        inline float getMultiplicativeDamage() const
-            { return this->getMultiplicativeModifier(ModifierType::Damage); }
+            */
+            inline float getMultiplicativeDamage() const
+                { return this->getMultiplicativeModifier(ModifierType::Damage); }
 
-        /**
+            /**
             @brief Set the amount of damage this pickup adds.
             @param value How much damage this pickup adds.
-        */
-        inline void setAdditiveDamage(float value)
-            { this->setAdditiveModifier(ModifierType::Damage, value); }
-        /**
+            */
+            inline void setAdditiveDamage(float value)
+                { this->setAdditiveModifier(ModifierType::Damage, value); }
+            /**
             @brief Set the factor by which this pickup multiplies the damage.
             @param value Factor by which to multiply damage.
-        */
-        inline void setMultiplicativeDamage(float value)
-            { this->setMultiplicativeModifier(ModifierType::Damage, value); }
+            */
+            inline void setMultiplicativeDamage(float value)
+                { this->setMultiplicativeModifier(ModifierType::Damage, value); }
 
-        /**
+            /**
             @brief Get the amount of acceleration this pickup adds.
             @return Returns how much acceleration this pickup adds.
-        */
-        inline float getAdditiveAcceleration() const
-            { return this->getAdditiveModifier(ModifierType::Acceleration); }
-        /**
+            */
+            inline float getAdditiveAcceleration() const
+                { return this->getAdditiveModifier(ModifierType::Acceleration); }
+            /**
             @brief Get the factor by which this pickup multiplies the acceleration.
             @return Returns the factor by which to multiply acceleration.
-        */
-        inline float getMultiplicativeAcceleration() const
-            { return this->getMultiplicativeModifier(ModifierType::Acceleration); }
+            */
+            inline float getMultiplicativeAcceleration() const
+                { return this->getMultiplicativeModifier(ModifierType::Acceleration); }
 
-        /**
+            /**
             @brief Set the amount of acceleration this pickup adds.
             @param value How much acceleration this pickup adds.
-        */
-        inline void setAdditiveAcceleration(float value)
-            { this->setAdditiveModifier(ModifierType::Acceleration, value); }
-        /**
+            */
+            inline void setAdditiveAcceleration(float value)
+                { this->setAdditiveModifier(ModifierType::Acceleration, value); }
+            /**
             @brief Set the factor by which this pickup multiplies the acceleration.
             @param value Factor by which to multiply acceleration.
-        */
-        inline void setMultiplicativeAcceleration(float value)
-            { this->setMultiplicativeModifier(ModifierType::Acceleration, value); }
+            */
+            inline void setMultiplicativeAcceleration(float value)
+                { this->setMultiplicativeModifier(ModifierType::Acceleration, value); }
 
-        void timerCallback(Pawn* pawn);     //!< Method called when the timer runs out.
+            //TODO: Make private?
+            void timerCallback(Pawn* pawn);     //!< Method called when the timer runs out.
 
-    private:
-        float getAdditiveModifier(ModifierType::Value type) const;               //!< Get the additive modifier for a given ModifierType.
-        float getMultiplicativeModifier(ModifierType::Value type) const;         //!< Get the multiplicative modifier for a given ModifierType.
-        void setAdditiveModifier(ModifierType::Value type, float value);         //!< Set the additive modifier for a given ModifierType.
-        void setMultiplicativeModifier(ModifierType::Value type, float value);   //!< Set the multiplicative modifier for a given ModifierType
+        private:
+            float getAdditiveModifier(ModifierType::Value type) const;               //!< Get the additive modifier for a given ModifierType.
+            float getMultiplicativeModifier(ModifierType::Value type) const;         //!< Get the multiplicative modifier for a given ModifierType.
+            void setAdditiveModifier(ModifierType::Value type, float value);         //!< Set the additive modifier for a given ModifierType.
+            void setMultiplicativeModifier(ModifierType::Value type, float value);   //!< Set the multiplicative modifier for a given ModifierType
 
-        std::map<ModifierType::Value, float> additiveModifiers_;                 //!< Map of additive modifiers, indexed by ModifierType.
-        std::map<ModifierType::Value, float> multiplicativeModifiers_;           //!< Map of multiplicative modifiers, indexed by ModifierType.
+            std::map<ModifierType::Value, float> additiveModifiers_;                 //!< Map of additive modifiers, indexed by ModifierType.
+            std::map<ModifierType::Value, float> multiplicativeModifiers_;           //!< Map of multiplicative modifiers, indexed by ModifierType.
 
-        float duration_;                                                         //!< Duration of this pickup's effect (0 for unlimited).
-        Timer timer_;                                                            //!< Timer used if the pickup's effect has a time limit.
+            float duration_;                                                         //!< Duration of this pickup's effect (0 for unlimited).
+            Timer timer_;                                                            //!< Timer used if the pickup's effect has a time limit.
     };
 }
Index: /code/branches/pickup3/src/orxonox/pickup/ModifierType.h
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/ModifierType.h	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/ModifierType.h	(revision 6419)
@@ -39,4 +39,5 @@
 namespace orxonox
 {
+    //TODO: Merge with ModifierPickup.
     namespace ModifierType
     {
Index: /code/branches/pickup3/src/orxonox/pickup/PassiveItem.h
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/PassiveItem.h	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/PassiveItem.h	(revision 6419)
@@ -41,12 +41,15 @@
 {
     /**
-        @brief Base class for all passive items.
-        @author Daniel 'Huty' Haggenmueller
+    @brief Base class for all passive items.
+    @author Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport PassiveItem : public BaseItem
     {
-    public:
-        PassiveItem(BaseObject* creator);
-        virtual ~PassiveItem() {}
+        //TODO: What is this Class for. Where is ActiveItem?
+        //Rename it InstantItem?
+        public:
+            PassiveItem(BaseObject* creator);
+            virtual ~PassiveItem() {}
+
     };
 }
Index: /code/branches/pickup3/src/orxonox/pickup/PickupCollection.cc
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/PickupCollection.cc	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/PickupCollection.cc	(revision 6419)
@@ -52,11 +52,13 @@
 
     /**
-        @brief
-            Add an item to the collection.
-
-            Only adds the item if there's a free slot for it.
-
-        @param item Item to add to the collection.
-        @return Returns whether the item has been added to the collection.
+    @brief
+        Add an item to the collection.
+
+        Only adds the item if there's a free slot for it.
+
+    @param item
+        Item to add to the collection.
+    @return
+        Returns whether the item has been added to the collection.
     */
     bool PickupCollection::add(BaseItem* item)
Index: /code/branches/pickup3/src/orxonox/pickup/PickupCollection.h
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/PickupCollection.h	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/PickupCollection.h	(revision 6419)
@@ -47,74 +47,53 @@
 {
     /**
-        @brief PickupCollection for organising items.
-        @author Daniel 'Huty' Haggenmueller
+    @brief PickupCollection for organising items.
+    @author Daniel 'Huty' Haggenmueller
     */
-    class _OrxonoxExport PickupCollection
+    class _OrxonoxExport PickupCollection : public orxonox::OrxonoxClass
     {
-    public:
-        PickupCollection();
+        public:
+            PickupCollection();
 
-        bool add(BaseItem* item);       //!< Add an item to the collection.
+            bool add(BaseItem* item);       //!< Add an item to the collection.
 
-        bool checkSlot(BaseItem* item); //!< Check if there's a free slot in the collection for an item.
+            bool checkSlot(BaseItem* item); //!< Check if there's a free slot in the collection for an item.
 
-        void clear();                   //!< Empty the collection
-        bool contains(BaseItem* item, bool anyOfType = false);                      //!< Check if the collection contains an item.
+            void clear();                   //!< Empty the collection
+            bool contains(BaseItem* item, bool anyOfType = false);                      //!< Check if the collection contains an item.
 
-        void remove(BaseItem* item, bool removeAllOfType = false);                  //!< Remove an item from the collection.
+            void remove(BaseItem* item, bool removeAllOfType = false);                  //!< Remove an item from the collection.
 
-        void useItem();                                                             //!< Use the first usable item.
-        void useItem(UsableItem* item);                                             //!< Use a usable item.
+            //TODO: Hmm... probably should stay...
+            void useItem();                                                             //!< Use the first usable item.
+            void useItem(UsableItem* item);                                             //!< Use a usable item.
 
-        void addAdditiveModifier(ModifierType::Value type, float value);             //!< Add an additive modifier.
-        void addMultiplicativeModifier(ModifierType::Value type, float value);       //!< Add a multiplicative modifier.
+            /**
+                @brief Get the owner of the PickupCollection.
+                @return Returns the pawn which owns the PickupCollection.
+            */
+            inline Pawn* getOwner() const
+                { return this->owner_; }
+            /**
+                @brief Set the owner of the PickupCollection.
+                @param owner The new Pawn which owns the PickupCollection.
+            */
+            inline void setOwner(Pawn* owner)
+                { this->owner_ = owner; }
 
-        float getAdditiveModifier(ModifierType::Value type);                         //!< Get total additive modifier.
-        float getMultiplicativeModifier(ModifierType::Value type);                   //!< Get total multiplicative modifier.
+            inline UsableItem* getCurrentUsable()
+                { return this->currentUsable_; };
+            inline void setCurrentUsable(UsableItem* usable)
+                { this->currentUsable_ = usable; }
 
-        void removeAdditiveModifier(ModifierType::Value type, float value);          //!< Remove an additive modifier.
-        void removeMultiplicativeModifier(ModifierType::Value type, float value);    //!< Remove a multiplicative modifier.
+            std::deque<EquipmentItem*> getEquipmentItems();   //!< Get a list of equipment-type items.
+            std::deque<PassiveItem*> getPassiveItems();     //!< Get a list of passive items.
+            std::deque<UsableItem*> getUsableItems();      //!< Get a list of usable items.
 
-        float processModifiers(ModifierType::Value type, float inputValue, bool addBeforeMultiplication = false);        //!< Apply the modifiers to a float.
-        Vector3 processModifiers(ModifierType::Value type, Vector3 inputValue, bool addBeforeMultiplication = false);    //!< Apply the modifiers to a Vector3.
+        private:
+            Pawn* owner_; //!< The owner of the PickupCollection.
+            UsableItem* currentUsable_;
+            int slots_;
 
-        /**
-            @brief Get the map of contained items.
-            @return The map of items.
-        */
-        std::multimap<std::string, BaseItem*> getItems() const
-            { return this->items_; }
-
-        /**
-            @brief Get the owner of the PickupCollection.
-            @return Returns the pawn which owns the PickupCollection.
-        */
-        inline Pawn* getOwner() const
-            { return this->owner_; }
-        /**
-            @brief Set the owner of the PickupCollection.
-            @param owner The new Pawn which owns the PickupCollection.
-        */
-        inline void setOwner(Pawn* owner)
-            { this->owner_ = owner; }
-
-        inline UsableItem* getCurrentUsable()
-            { return this->currentUsable_; };
-        inline void setCurrentUsable(UsableItem* usable)
-            { this->currentUsable_ = usable; }
-
-        std::deque<EquipmentItem*> getEquipmentItems();   //!< Get a list of equipment-type items.
-        std::deque<PassiveItem*> getPassiveItems();     //!< Get a list of passive items.
-        std::deque<UsableItem*> getUsableItems();      //!< Get a list of usable items.
-    private:
-        Pawn* owner_;           //!< The owner of the PickupCollection.
-        UsableItem* currentUsable_;
-
-        bool bBlockRemovals_;   //!< Whether to block direct removals through remove().
-
-        std::multimap<ModifierType::Value, float> additiveModifiers_;        //!< Contains additive modifiers (indexed by ModifierType).
-        std::multimap<ModifierType::Value, float> multiplicativeModifiers_;  //!< Contains multiplicative modifiers (indexed by ModifierType).
-
-        std::multimap<std::string, BaseItem*> items_;                       //!< Map of items in the collection (indexed by pickupIdentifier of the items).
+            std::multimap<std::string, BaseItem*> items_;                       //!< Map of items in the collection (indexed by pickupIdentifier of the items).
     };
 }
Index: /code/branches/pickup3/src/orxonox/pickup/PickupInventory.cc
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/PickupInventory.cc	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/PickupInventory.cc	(revision 6419)
@@ -52,4 +52,14 @@
 
     PickupInventory* PickupInventory::pickupInventory_s = NULL;
+
+    //TODO: Comment.
+
+    /**
+    @brief
+        Get a Pointer to the PickupInventory Singleton.
+    @return
+        A Pointer to the PickupInventory.
+    */
+    //TODO: Make SingeltonPtr?
     PickupInventory* PickupInventory::getSingleton()
     {
@@ -60,8 +70,14 @@
     }
 
+    /**
+    @brief
+        Constructor. 
+    */
     PickupInventory::PickupInventory()
     {
-        this->bInventoryVisible_ = false;
-        this->visibleEquipmentWindows_ = this->visibleUsableWIndows_ = 0;
+        //TODO: Maybe some abstraction for the usableWindows, e.g. push and pop...
+        //RegisterObject() ? In some other Class, too. Which?
+        this->bInventoryVisible_ = false; //TODO: If OrxonoxClass, this should already be there...
+        this->visibleEquipmentWindows_ = this->visibleUsableWindows_ = 0;
 
         // Create some windows to avoid creating them while playing
@@ -77,11 +93,19 @@
         this->createdEquipmentWindows_ = this->createdUsableWindows_ = 10;
     }
+
+    /**
+    @brief
+        Destructor.
+    */
+    //TODO: Destroy something?
     PickupInventory::~PickupInventory()
     {
     }
 
-
-
-    void PickupInventory::toggleInventory()
+    /**
+    @brief
+        Toggles the visibility of the inventory.
+    */
+    /*static*/ void PickupInventory::toggleInventory()
     {
         if(PickupInventory::getSingleton()->isVisible()) {
@@ -95,4 +119,8 @@
     }
 
+    /**
+    @brief
+        
+    */
     unsigned int PickupInventory::getCurrentUsableIndex()
     {
@@ -111,4 +139,5 @@
         return 0;
     }
+
     bool PickupInventory::isCurrentUsable(const BaseItem* item)
     {
@@ -119,4 +148,5 @@
             return false;
     }
+
     void PickupInventory::selectUsable(unsigned int i)
     {
@@ -138,4 +168,5 @@
             return 0;
     }
+
     unsigned int PickupInventory::getUsableCount()
     {
@@ -146,4 +177,5 @@
             return 0;
     }
+
     unsigned int PickupInventory::getPassiveCount()
     {
@@ -154,4 +186,5 @@
             return 0;
     }
+
     BaseItem* PickupInventory::getEquipmentItem(unsigned int i)
     {
@@ -166,4 +199,5 @@
             return NULL;
     }
+
     BaseItem* PickupInventory::getUsableItem(unsigned int i)
     {
@@ -178,4 +212,5 @@
             return NULL;
     }
+
     BaseItem* PickupInventory::getPassiveItem(unsigned int i)
     {
@@ -221,5 +256,5 @@
             equipPane->removeChildWindow("orxonox/Inventory/Items/equ/" + id.str());*/
         }
-        for(unsigned int i = 0; i < this->visibleUsableWIndows_; i++)
+        for(unsigned int i = 0; i < this->visibleUsableWindows_; i++)
         {
             std::ostringstream id;
@@ -235,4 +270,5 @@
         }
     }
+
     void PickupInventory::updateTabs(CEGUI::WindowManager *winMgr, CEGUI::Window *equipWindow, CEGUI::Window *usableWindow)
     {
@@ -265,4 +301,5 @@
         }
     }
+
     void PickupInventory::updateUsable(CEGUI::WindowManager* winMgr, CEGUI::Window* target)
     {
@@ -292,5 +329,5 @@
                 PickupInventory::setWindowProperties(winMgr, target, id.str(), item, colour);
             }
-            this->visibleUsableWIndows_ = items.size();
+            this->visibleUsableWindows_ = items.size();
         }
     }
@@ -322,4 +359,5 @@
         btn->setVisible(false);
     }
+
     void PickupInventory::setWindowProperties(CEGUI::WindowManager* winMgr, CEGUI::Window* target, const std::string& id, const BaseItem* item, const std::string& textColour)
     {
@@ -346,3 +384,4 @@
         target->addChildWindow(btn);
     }
+
 }
